create database ordstatus with log
;
create table item_master
(
	part_no                 varchar(25,0) not null,
	description             varchar(30,0),
	uom                     varchar(5,0),
	primary key (part_no)
)
;
create table shop_floor
(
	shop_order_no   varchar(10,0) not null,
	operation_sequence      integer not null,
	item_no                 varchar(25,0) not null,
	qty_ordered             integer,
	qty_complete            integer,
	start_date              date,
	due_date                date,
	primary key (shop_order_no, operation_sequence)
)
;
create table customer
(
	customer_no             varchar(10,0) not null,
	customer_name           varchar(25,0),
	primary key (customer_no)
)
;
create table order_header
(
	order_no                        varchar(10,0) not null,
	customer_no                     varchar(10,0),
	customer_po                     varchar(10,0),
	order_date                      date,
	primary key (order_no),
	foreign key (customer_no) references customer (customer_no)
)
;
create table order_line
(
	order_no                        varchar(10,0) not null,
	line_no                         integer not null,
	item_no                         varchar(25,0),
	location                        varchar(10,0),
	qty_ordered                     integer,
	qty_shipped                     integer,
	price                           money(8),
	shop_order_no                   varchar(10,0),
	primary key (order_no, line_no),
	foreign key (item_no) references item_master (part_no)
)
;
create table delivery_schedule
(
	order_no                        varchar(10,0) not null,
	line_no                         integer not null,
	delivery_schedule               varchar(10,0) not null,
	quantity                        integer,
	promise_date                    date,
	request_date                    date,
	primary key (order_no, line_no, delivery_schedule)
)
;
grant resource to public
;
